## torus-trooper 0.22.dfsg1

=== debian/changelog ===
torus-trooper (0.22.dfsg1-12build5) impish; urgency=medium

  * No-change rebuild for libgphobos soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Sep 2021 19:57:00 +0200

torus-trooper (0.22.dfsg1-12build4) groovy; urgency=medium

  * No-change rebuild for final libgphobos ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 May 2020 15:24:21 +0200

torus-trooper (0.22.dfsg1-12build3) focal; urgency=medium

  * No-change rebuild for libgphobos soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:39:42 +0100

torus-trooper (0.22.dfsg1-12build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:02 +0100

torus-trooper (0.22.dfsg1-12build1) eoan; urgency=medium

  * No-change rebuild for libgphobos symbol changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 04:24:04 +0000

torus-trooper (0.22.dfsg1-12) unstable; urgency=medium

  * Team upload.

  [ Peter De Wachter ]
  * Add gdc-8.patch and fix FTBFS with GDC 8. (Closes: #896590)
  * Use priority optional.

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.1.4.
  * wrap-and-sort -sa.
  * Switch to compat level 11.
  * Drop deprecated menu file.
  * Move the package to Git and salsa.debian.org.

 -- Markus Koschany <apo@debian.org>  Fri, 08 Jun 2018 21:34:31 +0200

torus-trooper (0.22.dfsg1-11) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.8.
  * Add std.math.fabs.patch and fix FTBFS since std.math.fabs expects a float
    value. Thanks to Lucas Nussbaum for the report. (Closes: #835712)

 -- Markus Koschany <apo@debian.org>  Fri, 09 Sep 2016 01:15:35 +0200

torus-trooper (0.22.dfsg1-10) unstable; urgency=medium

  * Team upload.
  * Add libbulletml0v5-segfault.patch. Fix segmentation fault with the latest
    version of bulletML by removing the check in barrage.d.
    Thanks to Linus Lüssing for the report. (Closes: #803216)
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * Make the build reproducible by updating fixes.patch and sorting with the
    locale set to C. Thanks to Reiner Herrmann for the report and patch.
    (Closes: #797432)
  * Add keywords to desktop file.

 -- Markus Koschany <apo@debian.org>  Thu, 12 Nov 2015 18:03:36 +0100

torus-trooper (0.22.dfsg1-9) unstable; urgency=low

  * Ported to D language version 2 (closes: #707272)
    - Dropped the torus-trooper-pure variant
  * Added build-depends on libphobos-dev
  * Keep level display visible in title screen (closes: #602808)
    - Thanks to Thomas Preud'homme
  * Switch dh-style minimal rules file
  * Mark -data package as Multi-Arch: foreign
  * Conforms to standards 3.9.4

 -- Peter De Wachter <pdewacht@gmail.com>  Sun, 30 Jun 2013 13:09:09 +0200

torus-trooper (0.22.dfsg1-8) unstable; urgency=low

  * Team upload.
  * Tweak the build order to avoid circular dependencies (closes: #664799)
  * Conforms to standards 3.9.3

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 29 Mar 2012 21:49:01 +0200

torus-trooper (0.22.dfsg1-7) unstable; urgency=low

  * Team upload.
  * Explicitly build with D version 1 (closes: #653092)
  * Switch to format 3.0 (quilt) and drop build-dep on quilt
  * Provide build-arch and build-indep targets
  * Conforms to standards 3.9.2

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 07 Jan 2012 16:40:02 +0100

torus-trooper (0.22.dfsg1-6) unstable; urgency=low

  * Patched for changes in the D language. (Closes: #574326)

 -- Peter De Wachter <pdewacht@gmail.com>  Wed, 17 Mar 2010 23:49:31 +0100

torus-trooper (0.22.dfsg1-5) unstable; urgency=low

  * Hardcoded the order in which object files are passed to the linker,
    avoiding the "circular initialization dependency" error. (Closes: #521387)

 -- Peter De Wachter <pdewacht@gmail.com>  Sun, 29 Mar 2009 18:44:16 +0200

torus-trooper (0.22.dfsg1-4) unstable; urgency=low

  [ Sylvain Beucler]
  * Fix D syntax error in optional torus-trooper-pure.patch

  [ Peter De Wachter ]
  * Build a torus-trooper-pure package for the Torus Trooper Pure variant
    of this game.
    - Removed README.Debian which explained how to patch and rebuild manually.
    - fixes.patch: added a Makefile for torus-trooper-pure.
    - dotfile.patch: use a different dotfile for torus-trooper-pure.
    - Wrote a manpage.
  * Changes to keep lintian happy:
    - Added a description to all patches.
    - Use fancy © symbols in debian/copyright.
  * Bumped to Standards Version 3.8.1.
    - Implemented patch target for debian/rules.
    - Fixed 'noopt' build option.

 -- Peter De Wachter <pdewacht@gmail.com>  Tue, 17 Mar 2009 08:00:55 +0100

torus-trooper (0.22.dfsg1-3) unstable; urgency=low

  [ Miriam Ruiz ]
  * Removed Homepage from long description.
  * Replaced XS-DM-Upload-Allowed by DM-Upload-Allowed in debian/control.

  [ Barry deFreese ]
  * Remove deprecated encoding tag from desktop file
  * Fix icon name in desktop file (Closes: #459275)

 -- Peter De Wachter <pdewacht@gmail.com>  Thu, 12 Jun 2008 23:13:29 +0200

torus-trooper (0.22.dfsg1-2) unstable; urgency=low

  [ Barry deFreese ]
  * Add watch file
  * Add Homepage field in control
  * Remove XS- from VCS fields in control

  [ Peter De Wachter ]
  * Save high score when quitting via escape (Closes: #444372)
  * Make level selection more intuitive (Closes: #444948)
  * Fixed link command, patch from Arthur Loiret. (Closes: #458279, #458642)
  * Fixed segfault when SDL init fails.

  [ Miriam Ruiz ]
  * Added XS-DM-Upload-Allowed tag to control to allow uploads from Debian
    Maintainers.

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 03 Jan 2008 12:12:59 +0000

torus-trooper (0.22.dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #439684)

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 25 Aug 2007 19:58:40 +0000
