=== debian/control ===
Source: torus-trooper
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
 Peter De Wachter <pdewacht@gmail.com>
Build-Depends:
 debhelper (>= 11),
 gdc,
 libbulletml-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libphobos-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Build-Conflicts:
 libphobos-4.4-dev
Standards-Version: 4.1.4
Homepage: http://www.asahi-net.or.jp/~cs8k-cyu/windows/tt_e.html
Vcs-Git: https://salsa.debian.org/games-team/torus-trooper.git
Vcs-Browser: https://salsa.debian.org/games-team/torus-trooper

Package: torus-trooper
Architecture: any
Depends:
 torus-trooper-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: speeding ship sailing through barrage
 Torus Trooper is a fast-paced abstract scrolling shooter game. It
 features 3D graphics and a style similar to that of games such as
 Tempest.
 .
 Torus Trooper is another gem among many by Kenta Cho.

Package: torus-trooper-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 torus-trooper
Description: speeding ship sailing through barrage - game data
 Torus Trooper is a fast-paced abstract scrolling shooter game. It
 features 3D graphics and a style similar to that of games such as
 Tempest.
 .
 This package includes the architecture-independent data for Kenta Cho's game
 Torus Trooper.
