=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        DFLAGS = -fdebug
else
        DFLAGS = -frelease
endif


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DFLAGS="$(DFLAGS)"



get-orig-source:
	dh_testdir
	dh_testroot
	wget http://www.asahi-net.or.jp/~cs8k-cyu/windows/tt0_22.zip
	unzip tt0_22.zip
	rm tt/*.dll
	rm tt/*.exe
	rm tt/lib/*.lib
	rm tt/resource/*.RES
	tar cvfz ../tt_0.22.dfsg1.orig.tar.gz tt
	rm -rf tt0_22.zip tt
