=== debian/watch ===
version=3

opts="uversionmangle=s/_/\./,dversionmangle=s/[+.]dfsg(.?\d+)?$//" \
http://www.asahi-net.or.jp/~cs8k-cyu/windows/tt_e.html tt([\d_]+)\.zip
